Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Debug_component.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Debug_component.h	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Debug_component.h	(revision 118)
@@ -51,7 +51,4 @@
 #  define                 DEBUG_Meta_Predictor_Glue               true
 #  define                 DEBUG_Two_Level_Branch_Predictor        true
-#  define                   DEBUG_Two_Level_Branch_Predictor_Glue true
-#  define                   DEBUG_Branch_History_Table            true
-#  define                   DEBUG_Pattern_History_Table           true
 #  define             DEBUG_Prediction_unit_Glue                  true
 #  define             DEBUG_Return_Address_Stack                  true
@@ -98,3 +95,100 @@
 #  define DEBUG_Allocation                                        true
 #  define DEBUG_Interface                                         true
+
+//----------------------------------------------------------------------
+
+// Boolean
+#  define NAME_true                                       "true" 
+#  define NAME_false                                      "false"
+                                                                                                       
+// Others                                                                                              
+#  define NAME_Allocation                                 "Allocation"
+#  define NAME_Interface                                  "Interface"
+
+// Component                                               
+#  define NAME_Morpheo                                    "Morpheo"
+#  define NAME_Behavioural                                "Behavioural"
+#  define NAME_Configuration                              "Configuration"
+#  define NAME_Generic                                    "Generic"
+#  define NAME_Comparator                                 "Comparator"
+#  define NAME_Counter                                    "Counter"
+#  define NAME_Divider                                    "Divider"
+#  define NAME_Multiplier                                 "Multiplier"
+#  define NAME_Priority                                   "Priority"
+#  define NAME_Queue                                      "Queue"
+#  define NAME_Queue_Control                              "Queue_Control"
+#  define NAME_RegisterFile                               "RegisterFile"
+#  define NAME_RegisterFile_Monolithic                    "RegisterFile_Monolithic"
+#  define NAME_RegisterFile_Multi_Banked                  "RegisterFile_Multi_Banked"
+#  define NAME_Select                                     "Select"
+#  define NAME_Select_Priority_Fixed                      "Select_Priority_Fixed"
+#  define NAME_Shifter                                    "Shifter"
+#  define NAME_Sort                                       "Sort"
+#  define NAME_Victim                                     "Victim"
+#  define NAME_Victim_Pseudo_LRU                          "Victim_Pseudo_LRU"
+#  define NAME_Core                                       "Core"
+#  define NAME_Core_Glue                                  "Core_Glue"
+#  define NAME_Dcache_Access                              "Dcache_Access"
+#  define NAME_Icache_Access                              "Icache_Access"
+#  define NAME_Multi_Front_end                            "Multi_Front_end"
+#  define NAME_Front_end                                  "Front_end"
+#  define NAME_Context_State                              "Context_State"
+#  define NAME_Decod_unit                                 "Decod_unit"
+#  define NAME_Decod                                      "Decod"
+#  define NAME_Decod_queue                                "Decod_queue"
+#  define NAME_Front_end_Glue                             "Front_end_Glue"
+#  define NAME_Ifetch_unit                                "Ifetch_unit"
+#  define NAME_Address_management                         "Address_management"
+#  define NAME_Ifetch_queue                               "Ifetch_queue"
+#  define NAME_Ifetch_unit_Glue                           "Ifetch_unit_Glue"
+#  define NAME_Prediction_unit                            "Prediction_unit"
+#  define NAME_Branch_Target_Buffer                       "Branch_Target_Buffer"
+#  define NAME_Branch_Target_Buffer_Glue                  "Branch_Target_Buffer_Glue"
+#  define NAME_Branch_Target_Buffer_Register              "Branch_Target_Buffer_Register"
+#  define NAME_Direction                                  "Direction"
+#  define NAME_Direction_Glue                             "Direction_Glue"
+#  define NAME_Meta_Predictor                             "Meta_Predictor"
+#  define NAME_Meta_Predictor_Glue                        "Meta_Predictor_Glue"
+#  define NAME_Two_Level_Branch_Predictor                 "Two_Level_Branch_Predictor"
+#  define NAME_Prediction_unit_Glue                       "Prediction_unit_Glue"
+#  define NAME_Return_Address_Stack                       "Return_Address_Stack"
+#  define NAME_Update_Prediction_Table                    "Update_Prediction_Table"
+#  define NAME_Multi_OOO_Engine                           "Multi_OOO_Engine"
+#  define NAME_OOO_Engine                                 "OOO_Engine"
+#  define NAME_Commit_unit                                "Commit_unit"
+#  define NAME_Issue_queue                                "Issue_queue"
+#  define NAME_OOO_Engine_Glue                            "OOO_Engine_Glue"
+#  define NAME_Reexecute_unit                             "Reexecute_unit"
+#  define NAME_Rename_unit                                "Rename_unit"
+#  define NAME_Load_Store_pointer_unit                    "Load_Store_pointer_unit"
+#  define NAME_Register_translation_unit                  "Register_translation_unit"
+#  define NAME_Dependency_checking_unit                   "Dependency_checking_unit"
+#  define NAME_Free_List_unit                             "Free_List_unit"
+#  define NAME_Register_Address_Translation_unit          "Register_Address_Translation_unit"
+#  define NAME_Register_translation_unit_Glue             "Register_translation_unit_Glue"
+#  define NAME_Stat_List_unit                             "Stat_List_unit"
+#  define NAME_Rename_select                              "Rename_select"
+#  define NAME_Rename_unit_Glue                           "Rename_unit_Glue"
+#  define NAME_Special_Register_unit                      "Special_Register_unit"
+#  define NAME_Multi_Execute_loop                         "Multi_Execute_loop"
+#  define NAME_Execute_loop                               "Execute_loop"
+#  define NAME_Execute_loop_Glue                          "Execute_loop_Glue"
+#  define NAME_Multi_Execute_unit                         "Multi_Execute_unit"
+#  define NAME_Execute_unit                               "Execute_unit"
+#  define NAME_Functionnal_unit                           "Functionnal_unit"
+#  define NAME_Load_store_unit                            "Load_store_unit"
+#  define NAME_Multi_Read_unit                            "Multi_Read_unit"
+#  define NAME_Read_unit                                  "Read_unit"
+#  define NAME_Read_queue                                 "Read_queue"
+#  define NAME_Reservation_station                        "Reservation_station"
+#  define NAME_Multi_Write_unit                           "Multi_Write_unit"
+#  define NAME_Write_unit                                 "Write_unit"
+#  define NAME_Execute_queue                              "Execute_queue"
+#  define NAME_Write_queue                                "Write_queue"
+#  define NAME_Network                                    "Network"
+#  define NAME_Execution_unit_to_Write_unit               "Execution_unit_to_Write_unit"
+#  define NAME_Read_unit_to_Execution_unit                "Read_unit_to_Execution_unit"
+#  define NAME_Register_unit                              "Register_unit"
+#  define NAME_Register_unit_Glue                         "Register_unit_Glue"
+
 #endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Model.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Model.h	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Model.h	(revision 118)
@@ -9,5 +9,6 @@
  */
 
-#include "Common/include/Debug.h"
+#include "Common/include/ToString.h"
+#include "Common/include/FromString.h"
 #include "Common/include/ErrorMorpheo.h"
 #include <map>
@@ -24,21 +25,21 @@
   typedef struct
   {
-    model_type_t      type ;
-    debug_verbosity_t debug;
+    model_type_t type ;
+    bool         debug;
   } model_t;
     
   class Model
   {
-  private : static const model_type_t      default_type  = MODEL_SYSTEMC;
-  private : static const debug_verbosity_t default_debug = DEBUG_NONE;
+  private : static const model_type_t default_type  = MODEL_SYSTEMC;
+  private : static const bool         default_debug = false;
 
   private : std::map<std::string,model_t> models;
 
-  public  :                    Model (void);
-  public  :                   ~Model (void);
-  public  : void              set_model (std::string component, model_type_t type, debug_verbosity_t debug);
-  public  : model_type_t      get_type  (std::string component);
-  public  : debug_verbosity_t get_debug (std::string component);
-  public  : void              print     (void);
+  public  :               Model (void);
+  public  :              ~Model (void);
+  public  : void         set_model (std::string component, model_type_t type, bool debug);
+  public  : model_type_t get_type  (std::string component);
+  public  : bool         get_debug (std::string component);
+  public  : void         print     (void);
   };
   
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Types.h	(revision 118)
@@ -20,9 +20,9 @@
   typedef uint8_t            Texception_t;
   typedef uint8_t            Tcontext_t;
-  typedef uint8_t            Tpacket_t;
+  typedef uint16_t           Tpacket_t;
   typedef uint8_t            Toperation_t;
   typedef uint8_t            Ttype_t;
-  typedef uint8_t            Tcounter_t; // universal counter
-  typedef uint8_t            Tptr_t;     // universal pointer
+  typedef uint32_t           Tcounter_t; // universal counter
+  typedef uint32_t           Tptr_t;     // universal pointer
   typedef uint32_t           Tspr_t;
   typedef uint16_t           Tspr_address_t;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 118)
@@ -10,8 +10,8 @@
 #define MORPHEO_MAJOR_VERSION "0"
 #define MORPHEO_MINOR_VERSION "2"
-#define MORPHEO_REVISION      "117"
+#define MORPHEO_REVISION      "118"
 #define MORPHEO_CODENAME      "Castor"
 
-#define MORPHEO_DATE_DAY      "16"  
+#define MORPHEO_DATE_DAY      "20"  
 #define MORPHEO_DATE_MONTH    "05"
 #define MORPHEO_DATE_YEAR     "2009" 
